from google.appengine.api import users
from google.appengine.ext import db

   
_MODES = ['Manual', 'Toggle', 'Always On']   
   
class UserPrefs(db.Model):     
     mode                = db.StringProperty(default='Manual')
     status              = db.StringProperty(default='off')
     run_time            = db.StringProperty()
     idle_time           = db.StringProperty()
 
 
def getUserPrefs():     
     return(UserPrefs.get_or_insert('UserPrefs'))

# Update system mode
def updateMode(new_mode):
     
     # Get user preferences entity
     User_Prefs = getUserPrefs()
     
     # Update 'mode' property
     User_Prefs.mode = new_mode
     
     # Save entity
     User_Prefs.put()
     
# Update the status of the pump     
def updateManualStatus(state):
     
     # Get user preferences entity
     User_Prefs = getUserPrefs()
     
     # Update properties
     User_Prefs.mode = 'Manual'
     User_Prefs.status = state
     
     # Save entity
     User_Prefs.put()
     
def updateToggleTime(prop, val):     
     
     # Get user preferences entity
     User_Prefs = getUserPrefs()
     
     # Update the property
     if prop == 'RunTime':
          User_Prefs.run_time = val
     else:
          User_Prefs.idle_time = val
     
     # Save entity
     User_Prefs.put()
     
def getModes():
     return(_MODES)